Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine.value
Interface Value

All Known Subinterfaces:
  SVGValue

All Known Implementing Classes:
  AbstractValue, ComputedValue, FloatValue, ICCColor, InheritValue, LineHeightValue, ListValue, RectValue, RGBColorValue, StringValue, URIValue

    public interface Value

This interface represents a property value.

Method Summary
`Value` | `getBlue()` The blue value of the RGB color.
`Value` | `getBottom()` The bottom value of the rect.
`String` | `getCssText()` A string representation of the current value.
`short` | `getCssValueType()` A code defining the type of the value.
`float` | `getFloatValue()` This method is used to get the float value.
`Value` | `getGreen()` The green value of the RGB color.
`String` | `getIdentifier()` The identifier value of the counter.
`Value` | `getLeft()` The left value of the rect.
`int` | `getLength()` The number of `CSSValues` in the list.
`String` | `getListStyle()` The listStyle value of the counter.
`short` | `getPrimitiveType()` The type of the value.
`Value` | `getRed()` The red value of the RGB color.
`Value` | `getRight()` The right value of the rect.
`String` | `getSeparator()` The separator value of the counter.
`String` | `getStringValue()` This method is used to get the string value.
`Value` | `getTop()` The top value of the rect.
`Value` | `item(int index)` Used to retrieve a rule by ordinal index.

Method Detail

### getCssText

    String getCssText()

  A string representation of the current value.

### getCssValueType

    short getCssValueType()

  A code defining the type of the value.

### getPrimitiveType

    short getPrimitiveType()

  The type of the value.

### getFloatValue

    float getFloatValue()
                        throws DOMException

  This method is used to get the float value.

  Throws:
    `DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a float value.

### getStringValue

    String getStringValue()
                          throws DOMException

  This method is used to get the string value.

  Throws:
    `DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a string value.

### getRed

    Value getRed()
                 throws DOMException

  The red value of the RGB color.

  Throws:
    `DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a RGB color value.

### getGreen

    Value getGreen()
                   throws DOMException

  The green value of the RGB color.

  Throws:
    `DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a RGB color value.

### getBlue

    Value getBlue()
                  throws DOMException

  The blue value of the RGB color.

  Throws:
    `DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a RGB color value.

### getLength

    int getLength()
                  throws DOMException

  The number of `CSSValues` in the list. The range of valid values of the indices is `0` to `length-1` inclusive.

  Throws:
    `DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a list value.

### item

    Value item(int index)
               throws DOMException

  Used to retrieve a rule by ordinal index.

  Returns:
    The style rule at the `index` position in the list, or `null` if that is not a valid index.
  Throws:
    `DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a list value.

### getTop

    Value getTop()
                 throws DOMException

  The top value of the rect.

  Throws:
    `DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a Rect value.

### getRight

    Value getRight()
                   throws DOMException

  The right value of the rect.

  Throws:
    `DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a Rect value.

### getBottom

    Value getBottom()
                    throws DOMException

  The bottom value of the rect.

  Throws:
    `DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a Rect value.

### getLeft

    Value getLeft()
                  throws DOMException

  The left value of the rect.

  Throws:
    `DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a Rect value.

### getIdentifier

    String getIdentifier()
                         throws DOMException

  The identifier value of the counter.

  Throws:
    `DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a Counter value.

### getListStyle

    String getListStyle()
                        throws DOMException

  The listStyle value of the counter.

  Throws:
    `DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a Counter value.

### getSeparator

    String getSeparator()
                        throws DOMException

  The separator value of the counter.

  Throws:
    `DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a Counter value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.